> For the complete documentation index, see [llms.txt](https://www.cakewalk.security/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.cakewalk.security/docs/human-access/open-api-and-mcp/api-reference/requests/get-requests.md).

# GET /Requests

List access requests with pagination, optionally filtered by status, type and last-updated time.

## GET /api/v1/Requests

> Returns a paginated list of requests, optionally filtered by status, type, and last-updated time.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"RequestStatus":{"enum":["InReviewStep","InActionStep","Completed","Declined","Cancelled","Blocked"],"type":"string"},"RequestType":{"enum":["GrantAccessRequest","RemoveAccessRequest","ArchiveWorkAppRequest","ChangePermissionLevelRequest","AddNewManagedWorkAppRequest"],"type":"string"},"RequestSimplifiedViewModelV1PaginatedResponseViewModel":{"required":["data","links"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RequestSimplifiedViewModelV1"},"description":"The list of entities in the current page of the result."},"links":{"allOf":[{"$ref":"#/components/schemas/LinksViewModel"}],"description":"A set of related pagination URLs such as the next or previous page."}},"additionalProperties":false,"description":"Paginated response for a list of entities and pagination-related links."},"RequestSimplifiedViewModelV1":{"required":["createdAt","id","requestStatus","requestType","sourceId","sourceName","updatedAt","workAppId"],"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the request.","format":"uuid"},"requestType":{"minLength":1,"type":"string","description":"Type of the request."},"requestStatus":{"minLength":1,"type":"string","description":"Current status of the request."},"requestedByUserId":{"type":"string","description":"ID of the user who created the request. Null when Cakewalk created the request (source CakewalkSystem).","format":"uuid","nullable":true},"cancelledByUserId":{"type":"string","description":"ID of the user who cancelled the request, if applicable.","format":"uuid","nullable":true},"workAppId":{"type":"string","description":"ID of the associated Work App.","format":"uuid"},"permissionLevelId":{"type":"string","description":"ID of the associated permission level, if applicable.","format":"uuid","nullable":true},"targetUserId":{"type":"string","description":"ID of the target user, if applicable.","format":"uuid","nullable":true},"requestPurpose":{"type":"string","description":"Purpose or reason for the request.","nullable":true},"sourceId":{"type":"string","description":"ID of the source entity related to the request.","format":"uuid"},"sourceName":{"minLength":1,"type":"string","description":"Name of the source entity related to the request."},"createdAt":{"type":"string","description":"Timestamp when the request was created.","format":"date-time"},"updatedAt":{"type":"string","description":"Timestamp when the request was last updated.","format":"date-time"}},"additionalProperties":false,"description":"A simplified view of a request, including key metadata such as type, status, and related identifiers."},"LinksViewModel":{"required":["self"],"type":"object","properties":{"self":{"minLength":1,"type":"string","description":"URL to the current resource or page."},"next":{"type":"string","description":"URL to the next page in the collection, if available.","nullable":true}},"additionalProperties":false,"description":"Pagination-related URLs for navigating a paginated collection."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/Requests":{"get":{"tags":["Requests"],"summary":"Returns a paginated list of requests, optionally filtered by status, type, and last-updated time.","parameters":[{"name":"requestStatuses","in":"query","description":"Optional list of request statuses to filter by.","schema":{"type":"array","items":{"$ref":"#/components/schemas/RequestStatus"}}},{"name":"requestTypes","in":"query","description":"Optional list of request types to filter by.","schema":{"type":"array","items":{"$ref":"#/components/schemas/RequestType"}}},{"name":"updatedAfter","in":"query","description":"Optional filter returning only requests updated strictly after this UTC timestamp.","schema":{"type":"string","format":"date-time"}},{"name":"cursor","in":"query","description":"Optional pagination cursor.","schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/RequestSimplifiedViewModelV1PaginatedResponseViewModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/RequestSimplifiedViewModelV1PaginatedResponseViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/RequestSimplifiedViewModelV1PaginatedResponseViewModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://www.cakewalk.security/docs/human-access/open-api-and-mcp/api-reference/requests/get-requests.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
